import { useStorage } from "@vueuse/core";
import { defineStore } from "pinia";

interface State {
    ShowMenu: boolean | null,
    ExpandMenu: boolean,
}

export const useSettingsStore = defineStore('settings', {
    state: () => useStorage<State>('settings', {
        ShowMenu: null,
        ExpandMenu: false,
    }),
    actions: {
        toggleMenu() {
            this.ShowMenu = !this.ShowMenu;
        },
        toggleMenuSize() {
            this.ExpandMenu = !this.ExpandMenu;
        },
    }
});